Get all APM service dependencies

Note: This endpoint is in public beta. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v1/service_dependencieshttps://api.ap2.datadoghq.com/api/v1/service_dependencieshttps://api.datadoghq.eu/api/v1/service_dependencieshttps://api.ddog-gov.com/api/v1/service_dependencieshttps://api.us2.ddog-gov.com/api/v1/service_dependencieshttps://api.uk1.datadoghq.com/api/v1/service_dependencieshttps://api.datadoghq.com/api/v1/service_dependencieshttps://api.us3.datadoghq.com/api/v1/service_dependencieshttps://api.us5.datadoghq.com/api/v1/service_dependencies

Présentation

Récupérez la liste des services APM et de leurs dépendances. Les services renvoyés sont filtrés en fonction de leur environnement et d’un tag primaire, si un tel tag est défini.

Arguments

Chaînes de requête

Nom

Type

Description

env [required]

string

Specify what APM environment to query service dependencies by.

primary_tag

string

Specify what primary tag to query service dependencies by.

start

integer

Specify the start of the timeframe in epoch seconds to query for. (defaults to 1 hour before end parameter)

end

integer

Specify the end of the timeframe in epoch seconds to query for. (defaults to current time)

Réponse

OK

An object containing a list of APM services and their dependencies.

Expand All

Champ

Type

Description

<any-key>

object

An object containing an APM service's dependencies.

calls [required]

[string]

A list of dependencies.

{
  "servica_a": {
    "calls": [
      "service_b",
      "service_c"
    ]
  },
  "service_b": {
    "calls": [
      "service_o"
    ]
  },
  "service_c": {
    "calls": [
      "service_o"
    ]
  },
  "service_o": {
    "calls": []
  }
}

Bad Request

Error response object.

Expand All

Champ

Type

Description

errors [required]

[string]

Array of errors returned by the API.

{
  "errors": [
    "Bad Request"
  ]
}

Authentication Error

Error response object.

Expand All

Champ

Type

Description

errors [required]

[string]

Array of errors returned by the API.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

Error response object.

Expand All

Champ

Type

Description

errors [required]

[string]

Array of errors returned by the API.

{
  "errors": [
    "Bad Request"
  ]
}

Exemple de code

                  # Required query arguments
export env="prod"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v1/service_dependencies?env=${env}" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"